#!/bin/sh
#------------------------------------------------------------------
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $
#
# $Header: /project/isv-agent/VProAgents/SAPNW/conf/SAPNWTypes.cmd,v 1.1 2014/11/19 16:52:23 avaidya Exp $
#
# $Author: avaidya $
# $Date: 2014/11/19 16:52:23 $
# $Revision: 1.1 $
#-------------------------------------------------------------------

set -e
set -u

#-------------------------------------------
# Quick script to import type definitioins
#-------------------------------------------
agent_name="SAPNW"
conf_dir="/etc/VRTSagents/ha/conf/${agent_name}"
tmp_dir="${conf_dir}/temp"

cf_file=${agent_name}Types.cf

cur_dir=${PWD}
cd ${conf_dir}
mkdir -p ${tmp_dir}
cp ${cf_file} ${tmp_dir}/${cf_file}
echo "include \"${cf_file}\"" > ${tmp_dir}/main.cf
cd ${tmp_dir}

vcs_dir="/opt/VRTSvcs/bin"
PATH=/opt/VRTSvcs/bin:$PATH
export PATH

hacf -verify .
set +e
haconf -makerw 
set -e
sh main.cmd
haconf -dump

cd ${cur_dir}
rm ${tmp_dir}/${cf_file}
rm ${tmp_dir}/main.cf
rm ${tmp_dir}/main.cmd
rmdir ${tmp_dir}

